#
# spec file for package polkit-kde-agent-1
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           polkit-kde-agent-1
Version:        0.99.0
Release:        25.2
Summary:        PolicyKit authentication agent for KDE
License:        GPL-2.0 and LGPL-2.1+
Group:          Development/Libraries/KDE
Url:            https://projects.kde.org/projects/extragear/base/polkit-kde-agent-1
# ftp://ftp.kde.org/pub/kde/stable/apps/KDE4.x/admin/
Source0:        %{name}-%{version}.tar.bz2
BuildRequires:  libkde4-devel
BuildRequires:  libpolkit-qt-1-devel
Obsoletes:      polkit-kde-1 < %{version}
Provides:       polkit-kde-1 = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%kde4_runtime_requires

%description
Provides Policy Kit Authentication Agent that nicely fits to KDE.

%prep
%setup -q

%build
  %cmake_kde4 -d build
  %make_jobs

%install
  cd build
  %make_install
  %kde_post_install
  cd ..

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_datadir}/autostart/polkit-kde-authentication-agent-1.desktop
%{_kde4_libexecdir}/polkit-kde-authentication-agent-1
%{_kde4_appsdir}/policykit1-kde/

%changelog
* Tue Jul 16 2013 hrvoje.senjan@gmail.com
- Drop polkit-kde-kcmmodules-1 requires, the agent doesn't depend
  on that package
* Fri Mar  1 2013 coolo@suse.com
- update license to new format
* Mon Sep  5 2011 mlin@suse.com
- add %%kde4_runtime_requires macro to have the right versioned
  dependency
* Thu Aug 18 2011 toddrme2178@gmail.com
- Updated URL
- Removed redundant buildrequires
- Added %%suse_update_desktop_file (fix for RPMLINT warning)
- Added %%kde_post_install (fix for RPMLINT warning)
- Cleaned up spec file formatting
- Cleaned up changes file formatting
* Thu Dec  9 2010 tittiatcoke@gmail.com
- Update to 0.99.0
  * Requires Polkit-qt-1 v0.99.1
* Tue Oct 26 2010 tittiatcoke@gmail.com
- Initial version 0.98.1
